searchNodes=[{"doc":"Module oriented to common functions for working with payloads","ref":"Common.Payload.html","title":"Common.Payload","type":"module"},{"doc":"Extract the value of the key defined in the map Parameters: - payload : Map . Container of the information ( &lt; key , value &gt; ) that is required . - tag : String . Key to search within the map . - list : List of String . List of tags to search in depth , by structure chaining . - default_value : t ( ) . Default value , in case it cannot be found . If not defined , it takes value nil . Return: - t ( ) | nil . If the defined labels are correct , it returns the desired value ; otherwise nil .","ref":"Common.Payload.html#extract_data/4","title":"Common.Payload.extract_data/4","type":"function"},{"doc":"Extract the information and attach it to the defined map. If it does not appear, it gives the default value in each case. ###Parameters: - payload_ : Map . Payload . - attr_list . List of InfoAttr . Fields to search for in the payload . - eliminate_null_value : Boolean . Indicates if you want to eliminate fields with null values . Return: - list of { attr . id , values_extracted_from_the_payload } | empty list","ref":"Common.Payload.html#extract_with_format/3","title":"Common.Payload.extract_with_format/3","type":"function"},{"doc":"Group the maps with equal value in a certain field Parameters: - list : List of map . Data . - fields : Set of fields to set the identifier of each set . The identifier is the concatenation of each one , and the character &#39;_&#39; . Return: - { A , B } where A Map where values is a list of values of ` list ` such that they share the same value in the defined field B List of t ( ) coincides with A . key ( )","ref":"Common.Payload.html#reduce_by/2","title":"Common.Payload.reduce_by/2","type":"function"},{"doc":"Module oriented to common functions for working with tables","ref":"Common.Table.html","title":"Common.Table","type":"module"},{"doc":"Obtains the values registered in Bigquery, associated with a set of record identifiers Parameters: - pid : Process . Process connecting Elixir and ODBC . - attr_list : List of Tools.Struct.InfoAttr . Attributes to carry the query response to the defined data type . - ids : List of Tools.Struct.InfoAttr . Attributes that will be used to differentiate the sets of records that share the same identifiers . - statement : String . Statement to get the records from the database in Bigquery . Return: - Exception | Map , where the key contains the values of ` keys ` and the values are the data that Bigquery has associated with the record with that identifier","ref":"Common.Table.html#get_stored_values_in_bigquery/4","title":"Common.Table.get_stored_values_in_bigquery/4","type":"function"},{"doc":"Checks if the specified name matches any column Parameter: - table : Atom . Table name . It is assumed that this has implemented the function attr_list / 0 -&gt; List ( Struct.InfoAttr ) - name : Atom | String . Name of the column to check . Return: - Boolean .","ref":"Common.Table.html#is_attr?/2","title":"Common.Table.is_attr?/2","type":"function"},{"doc":"Module oriented to the creation of queries to ElasticSearch","ref":"Connection.ElasticSearch.html","title":"Connection.ElasticSearch","type":"module"},{"doc":"Returns all defined indices, contained in a closed range. Use a New Vehicles service. Parameters: - url : String . URL of the service . It is assumed that the url contains 2 parameters to replace them : &quot;&lt;type_documentary&gt;&quot; , &lt; mode &gt; . - headers : List of tuple . - index_for_range : String . Index to use to filter by range . - start_value : String . Lower bound for filtering . - end_value : String . Upper bound for filtering . - index_to_return : List of string . List of indexed terms to return . Return: - { :ok , list of string } | { :error , string ( message ) }","ref":"Connection.ElasticSearch.html#get_from_nv/7","title":"Connection.ElasticSearch.get_from_nv/7","type":"function"},{"doc":"","ref":"Connection.ElasticSearch.html#get_from_nv/9","title":"Connection.ElasticSearch.get_from_nv/9","type":"function"},{"doc":"Returns all defined indices, contained in a closed range Parameters: - url : String . URL of the service . It is assumed that the url contains 2 parameters to replace them : &quot;&lt;type_documentary&gt;&quot; , &lt; mode &gt; . - headers : List of tuple . - type_documentary : String . Documentary type . - mode : String . ElasticSearch access mode . Default value : &quot;_search&quot; . - init_date : String . Range start date is included . Expected format ` YYYY - MM - DDThh :mm :ss . mZ ` . - end_date : String . Range end date is included . Expected format ` YYYY - MM - DDThh :mm :ss . mZ ` . - index_for_range : String . Index that allows searching by range . It must be considered in the set of ElasticSearch indexes . - index_to_return : String . Index that will be returned for each document , according to what ElasticSearch returns . Returns: - Exception | List of the values of the ` index_to_return ` index , in each document .","ref":"Connection.ElasticSearch.html#get_from_range/8","title":"Connection.ElasticSearch.get_from_range/8","type":"function"},{"doc":"Returns the indexed indices for path Parameters: - url : String . URL of the service . It is assumed that the url contains 2 parameters to replace them : &quot;&lt;type_documentary&gt;&quot; , &lt; mode &gt; . - headers : List of tuple . - type_documentary : String . Documentary type . - mode : String . ElasticSearch access mode . Default value ` _search ` . Return: - List of Atom | Exception","ref":"Connection.ElasticSearch.html#get_indexed_indices/4","title":"Connection.ElasticSearch.get_indexed_indices/4","type":"function"},{"doc":"Returns the ElasticSearch keyword to indicate how it will be used. It will only be consulted. Return: - String . ElasticSearch reserved word .","ref":"Connection.ElasticSearch.html#mode/0","title":"Connection.ElasticSearch.mode/0","type":"function"},{"doc":"Module for working with the HTTP protocol","ref":"Connection.Http.html","title":"Connection.Http","type":"module"},{"doc":"GET request Parameters: - url : String . - headers : List of tuple . - timeout : Integer . - recv_timeout : Integer . Return: - { :ok , data } | { :error , data }","ref":"Connection.Http.html#get/4","title":"Connection.Http.get/4","type":"function"},{"doc":"POST request Parameters: - body : String . - url : String . - headers : List of tuple . - recv_timeout : Integer . Return: - { :ok , data } | { :error , data }","ref":"Connection.Http.html#post/4","title":"Connection.Http.post/4","type":"function"},{"doc":"Work with Node Service","ref":"Connection.NodeService.html","title":"Connection.NodeService","type":"module"},{"doc":"Returns details of a node Parameter: - node : String . Node / document identifier . - url : String . URL of the service . It is assumed that the url contains 2 parameters to replace them : &lt; unique_id &gt; , &lt; ticket &gt; . - node : String . Node / document identifier . - headers - ticket : Possible values : - { String , String , String , String } . Corresponds to information necessary to obtain the ticket . The order is : url , headers , username , password . - String : Ticket . Return: - { :ok , details } | { :error , message } | Exception","ref":"Connection.NodeService.html#get_details/4","title":"Connection.NodeService.get_details/4","type":"function"},{"doc":"Module for working with the ODBC library. It frees you from having to know how Erlang's :odbc library works.","ref":"Connection.Odbc.html","title":"Connection.Odbc","type":"module"},{"doc":"Establishes the connection to Data Source Parameter: - data_source : List . Data source information . Return: - PID | Exception . If the connection can be established with the parameters defined in the configuration files , process identifier is returned . Otherwise , it throws an exception with the error .","ref":"Connection.Odbc.html#connect/1","title":"Connection.Odbc.connect/1","type":"function"},{"doc":"Delete rows from the specified table Parameters: - pid : Process . Process connecting Elixir and ODBC . - statement : String . SQL Statement . Return: - Exception | { :updated , n } where n is the number of records deleted","ref":"Connection.Odbc.html#delete/2","title":"Connection.Odbc.delete/2","type":"function"},{"doc":"Genera un UUID Parameter: - pid : Process . Return: - string | Exception . If the query succeeds , it returns the UUID ; otherwise , it raises an exception from ` :odbc . sql_query / 2 ` statement .","ref":"Connection.Odbc.html#get_uuid/1","title":"Connection.Odbc.get_uuid/1","type":"function"},{"doc":"Inserts an object into the specified table Parameters: - pid : Process . Process connecting Elixir and ODBC . - statement : String . SQL Statement . Return: - { :inserted , 1 } | Exception","ref":"Connection.Odbc.html#insert/2","title":"Connection.Odbc.insert/2","type":"function"},{"doc":"Create and execute an SQL statement of type `SELECT xx FROM x WHERE xxx. It is assumed that WHERE condition will only have the AND operator. Para ### Parameters: - pid: Process. Process connecting Elixir and ODBC. - statement: String. SQL Statement. ### Return: - list of (list of tuples ({:atom, :string})) | Exception. Fields with null values are ignored.","ref":"Connection.Odbc.html#select/2","title":"Connection.Odbc.select/2","type":"function"},{"doc":"Start the ODBC application Return: - :ok | exception . If the ODBC application has not been started or if it has already been started , return the atom . Otherwise , it throws an exception with the error .","ref":"Connection.Odbc.html#start/0","title":"Connection.Odbc.start/0","type":"function"},{"doc":"Stop the ODBC application Return: - :ok | exception . If the ODBC application has not been stopped or if it has already been stopped , return the atom . Otherwise , it throws an exception with the error .","ref":"Connection.Odbc.html#stop/0","title":"Connection.Odbc.stop/0","type":"function"},{"doc":"Update an object into the specified table. It uses the retry decorator to retry the execution of the statement, in case of a concurrency error issued by BigQuery. Parameters: - pid : Process . Process connecting Elixir and ODBC . - statement : String . SQL Statement . Return: - Exception | { :updated , n } where n is the number of records updated","ref":"Connection.Odbc.html#update/2","title":"Connection.Odbc.update/2","type":"function"},{"doc":"Module for working with access tickets","ref":"Connection.Ticket.html","title":"Connection.Ticket","type":"module"},{"doc":"Returns a valid ticket, depending on the user. Parameters: - url : String . Url to consult . It is assumed that the url contains 2 parameters to replace them : &lt; username &gt; , &lt; password &gt; . - headers : List . - username : String . Username . - password : String . Password . # - folder: String. Folder path to store the ticket. Return: - { Atom , String } | Exception . The atom can take the values : ok or error . The string will be the ticket or the error message .","ref":"Connection.Ticket.html#get/4","title":"Connection.Ticket.get/4","type":"function"},{"doc":"Store a valid ticket, depending on the user. By default, the generic user is considered. Parameters: - url : String . Url to consult . It is assumed that the url contains 2 parameters to replace them : &lt; username &gt; , &lt; password &gt; . - headers : List . - username : String . Username . - password : String . Password . - folder : String . Folder path to store the ticket . Return: - { :ok , ticket ( String ) } | { :error , error_msg ( String ) }","ref":"Connection.Ticket.html#refresh/5","title":"Connection.Ticket.refresh/5","type":"function"},{"doc":"Work with Workflow Service","ref":"Connection.WorkflowService.html","title":"Connection.WorkflowService","type":"module"},{"doc":"Returns the tasks associated with a record Parameter: - url : String . URL of the service . It is assumed that the url contains 3 parameters to replace them : &lt; type_documentary &gt; , &lt; contentref &gt; , &lt; ticket &gt; . - headers : List . - type_documentary : String . Associated documentary type . - contentref : String . Node / document identifier . - ticket : String : Ticket . Return: - { :ok , details } | { :error , message } | Exception","ref":"Connection.WorkflowService.html#get_details/5","title":"Connection.WorkflowService.get_details/5","type":"function"},{"doc":"Module for the definition of internal decorators to the project","ref":"Decoratorm.html","title":"Decoratorm","type":"module"},{"doc":"","ref":"Decoratorm.html#retry/0","title":"Decoratorm.retry/0","type":"macro"},{"doc":"Decorator function for retrying the call of the same function with the same parameters. Stops retries when it gets a value other than an exception or when the number of retries exceeds 10. Parameters: - body : - context : Return: - t ( ) | Exception","ref":"Decoratorm.html#retry/2","title":"Decoratorm.retry/2","type":"function"},{"doc":"Documentation for EtlCore .","ref":"EtlCore.html","title":"EtlCore","type":"module"},{"doc":"Hello world. Examples iex&gt; EtlCore . hello ( ) :world","ref":"EtlCore.html#hello/0","title":"EtlCore.hello/0","type":"function"},{"doc":"Tools for working with files","ref":"File.FileManager.html","title":"File.FileManager","type":"module"},{"doc":"Returns text stored in a file Parameters: - path : String . File path . Return: - String","ref":"File.FileManager.html#load/1","title":"File.FileManager.load/1","type":"function"},{"doc":"Load JSON into memory Parameter: - filename : String or String List indicating the path of files in JSON format to read Examples: eix &gt; load_json ( &quot;hello.json&quot; ) { word : &quot;world&quot; } eix &gt; load_json ( [ &quot;hello.txt&quot; , &quot;foo.json&quot; ] ) [ { word : &quot;world&quot; } , { key : &quot;bar&quot; } ] eix &gt; filename = &quot;./file.txt&quot; # fake file path eix &gt; load_json ( filename ) { :error , :enoent } eix &gt; filename = &quot;./file.txt&quot; # misdefined JSON file eix &gt; load_json ( filename ) { :error , % Poison.Parse { ... } }","ref":"File.FileManager.html#load_json/1","title":"File.FileManager.load_json/1","type":"function"},{"doc":"Store in file, a text Parameters: - text : String : Text to put in the document . - path : String . File path .","ref":"File.FileManager.html#save/2","title":"File.FileManager.save/2","type":"function"},{"doc":"Stores the data in a JSON file, a format supported for batch loading in BigQuery. The file name matches the time it was issued in UNIX format. Parameters: - data : List of map . Data . - path : String . Local path to store the file . Return: - :ok | Exception","ref":"File.FileManager.html#to_json_for_bigquery/2","title":"File.FileManager.to_json_for_bigquery/2","type":"function"},{"doc":"Module/genserver oriented to delete the least updated rows in Bigquery. use the timestamp field","ref":"Genserver.Cleaning.html","title":"Genserver.Cleaning","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Genserver.Cleaning.html#child_spec/1","title":"Genserver.Cleaning.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"Genserver.Cleaning.html#init/1","title":"Genserver.Cleaning.init/1","type":"function"},{"doc":"","ref":"Genserver.Cleaning.html#start_link/1","title":"Genserver.Cleaning.start_link/1","type":"function"},{"doc":"Genserver orientado a la carga de los datos","ref":"Genserver.ForcedLoad.html","title":"Genserver.ForcedLoad","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Genserver.ForcedLoad.html#child_spec/1","title":"Genserver.ForcedLoad.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"Genserver.ForcedLoad.html#init/1","title":"Genserver.ForcedLoad.init/1","type":"function"},{"doc":"","ref":"Genserver.ForcedLoad.html#start_link/1","title":"Genserver.ForcedLoad.start_link/1","type":"function"},{"doc":"Genserver oriented to consume from a table in a database in Postgres For the correct operation, you must implement the Genserver.Utils.PPostgresDb protocol","ref":"Genserver.PostgresConsumer.html","title":"Genserver.PostgresConsumer","type":"module"},{"doc":"","ref":"Genserver.PostgresConsumer.html#handle_info/2","title":"Genserver.PostgresConsumer.handle_info/2","type":"function"},{"doc":"","ref":"Genserver.PostgresConsumer.html#init/1","title":"Genserver.PostgresConsumer.init/1","type":"function"},{"doc":"","ref":"Genserver.PostgresConsumer.html#start_link/1","title":"Genserver.PostgresConsumer.start_link/1","type":"function"},{"doc":"Batch-oriented genserver of rabbit queues For the correct operation, you must implement the Genserver.utils.pWorker protocol","ref":"Genserver.RabbitConsumerByBatch.html","title":"Genserver.RabbitConsumerByBatch","type":"module"},{"doc":"","ref":"Genserver.RabbitConsumerByBatch.html#handle_info/2","title":"Genserver.RabbitConsumerByBatch.handle_info/2","type":"function"},{"doc":"","ref":"Genserver.RabbitConsumerByBatch.html#init/1","title":"Genserver.RabbitConsumerByBatch.init/1","type":"function"},{"doc":"","ref":"Genserver.RabbitConsumerByBatch.html#start_link/1","title":"Genserver.RabbitConsumerByBatch.start_link/1","type":"function"},{"doc":"Definition of the method to be used for the automatic deletion of the repeated tuples, in the tables","ref":"Genserver.Utils.PAutomaticClean.html","title":"Genserver.Utils.PAutomaticClean","type":"protocol"},{"doc":"Removes from a certain table, the repeated rows To add the definition of an automatic cleanup, add the definition for the private methods. Parameters: - business : Atom . Define the business . - pid : Process . Process connecting Elixir and ODBC . - other_data : Tuple . Other data of interest .","ref":"Genserver.Utils.PAutomaticClean.html#run/3","title":"Genserver.Utils.PAutomaticClean.run/3","type":"function"},{"doc":"","ref":"Genserver.Utils.PAutomaticClean.html#t:t/0","title":"Genserver.Utils.PAutomaticClean.t/0","type":"type"},{"doc":"Definition of the function for forced or manual data loading","ref":"Genserver.Utils.PForcedLoad.html","title":"Genserver.Utils.PForcedLoad","type":"protocol"},{"doc":"Load the data Parameter: - business : Atom . Business to which the data points . - params : List . Other parameters of interest , if needed .","ref":"Genserver.Utils.PForcedLoad.html#run/2","title":"Genserver.Utils.PForcedLoad.run/2","type":"function"},{"doc":"","ref":"Genserver.Utils.PForcedLoad.html#t:t/0","title":"Genserver.Utils.PForcedLoad.t/0","type":"type"},{"doc":"Protocol oriented to load data from a table in a database in postgres","ref":"Genserver.Utils.PPostgresDb.html","title":"Genserver.Utils.PPostgresDb","type":"protocol"},{"doc":"Extracts the new information from a certain table and stores it in Bigquery Parameter: - business : Atom . Business to which the data points . - conn_odbc_pid : Process . Process connecting Elixir and ODBC . - batch_id : String . Batch identifier .","ref":"Genserver.Utils.PPostgresDb.html#perform/3","title":"Genserver.Utils.PPostgresDb.perform/3","type":"function"},{"doc":"","ref":"Genserver.Utils.PPostgresDb.html#t:t/0","title":"Genserver.Utils.PPostgresDb.t/0","type":"type"},{"doc":"Protocol oriented to the definition of the function that the message lot will take, processed it if necessary and sent it to the corresponding module, for processing","ref":"Genserver.Utils.PWorker.html","title":"Genserver.Utils.PWorker","type":"protocol"},{"doc":"Sends to process the batch of messages, according to the business from which it comes Parameters: - batch : List of map . Payloads . - batch_id : String . Batch identifier . - conn_odbc_pid : Process . Process connecting Elixir and ODBC . - business : Atom . Business type .","ref":"Genserver.Utils.PWorker.html#perform/4","title":"Genserver.Utils.PWorker.perform/4","type":"function"},{"doc":"","ref":"Genserver.Utils.PWorker.html#t:t/0","title":"Genserver.Utils.PWorker.t/0","type":"type"},{"doc":"Module responsible for sending notifications to other spaces: Slack, Email, etc.","ref":"Notification.Notify.html","title":"Notification.Notify","type":"module"},{"doc":"Send notifications to Slack Parameter: - url : String . Url to send the notification . - headers : List . - env : String . - info : String .","ref":"Notification.Notify.html#notify_slack/4","title":"Notification.Notify.notify_slack/4","type":"function"},{"doc":"Send notifications to Slack Parameter: - url : String . Url to send the notification . - headers : List . - env : String . - msg : Map . - error : Exception .","ref":"Notification.Notify.html#notify_slack/5","title":"Notification.Notify.notify_slack/5","type":"function"},{"doc":"Module oriented to the creation of queries to Elastic","ref":"Statement.Elastic.html","title":"Statement.Elastic","type":"module"},{"doc":"Returns the most generic query possible: all nodes with their indexed terms Parameter: - size : Integer . Number of records to return . Return: - String","ref":"Statement.Elastic.html#build_query/1","title":"Statement.Elastic.build_query/1","type":"function"},{"doc":"Returns a query, where it is defined to return only an indexed field, filters those such that the field deleted=false and a certain field is in a range Parameters: - index_to_return : String . Indexed field that will only contain the response . - index_for_range : String . indexed field that will be used to establish a search range . - lower_bound : String . Lower bound of the range . - upper_bound : String . Upper bound of the range . - from : Integer . Position , after obtaining the ordered response , by which the values to be displayed will begin to be taken . - size : Integer . Amount of values to take , after the defined position . Return: - String","ref":"Statement.Elastic.html#build_query/6","title":"Statement.Elastic.build_query/6","type":"function"},{"doc":"Returns a query that will be used within another. Particular case for the New Vehicles service Parameters: - index_for_range : String . indexed field that will be used to establish a search range . - lower_bound : String . Lower bound of the range . - upper_bound : String . Upper bound of the range . Return: - String","ref":"Statement.Elastic.html#build_query_inside/3","title":"Statement.Elastic.build_query_inside/3","type":"function"},{"doc":"Module for definition and construction of SQL statements","ref":"Statement.Sql.html","title":"Statement.Sql","type":"module"},{"doc":"Construct an DELETE statement Parameters: - table_id : String . Name of the table . - conditions . List of ( list of tuple ) . If the value is a empty list , it will be assumed that the existence of the WHERE component is not desired . Otherwise , each tuple has the format { a , b , c } or { a , b , c , d } where - a : Atom . Column name . - b : t ( ) . Value to compare . - c : Atom . Operation to use . Expect :eq , :eq_nil , :neq , :neq_nil , :gt , :gte , :lt , :lte , :in , :like . You can query get_operator / 1 . - d : Atom . Function to use . Each list of this parameter , its elements are concatenated by the first value defined in ` operators ` and the lists are related to each other by the second value defined in ` operators ` . - operators : List of size at most 2 . List of connectors . if it has cardinality - 0 =&gt; length ( conditions ) = 0 - 1 =&gt; length ( conditions ) = 1 - 2 =&gt; length ( conditions ) &gt; 1 Return: - String","ref":"Statement.Sql.html#delete/1","title":"Statement.Sql.delete/1","type":"function"},{"doc":"","ref":"Statement.Sql.html#delete/3","title":"Statement.Sql.delete/3","type":"function"},{"doc":"Construct an instruction to generate a UUID Return: - String","ref":"Statement.Sql.html#generate_uuid/0","title":"Statement.Sql.generate_uuid/0","type":"function"},{"doc":"Returns the known SQL function Parameter: - function_name : Atom . Name of SQL function to use . The possible values are : :timestamp Function returns a datetime value based on a date or datetime value string :datetime Function that converts a date in string , to a date understandable Return: - String","ref":"Statement.Sql.html#get_function/1","title":"Statement.Sql.get_function/1","type":"function"},{"doc":"Returns the concatenation operator. The BETWEEN operator is not expected. Parameter: - operator : Atom . Operator to convert . The possible values are : :eq = equal :neq &lt;&gt; not equal :gt &gt; greater than :gte &gt;= greater than or equal :lt &lt; less than :lte &lt;= less than or equal :like LIKE search for a pattern :in IN to specify multiple possible values for a column :and AND and :or OR or :on ON to join :inner_join INNER JOIN returns records that have matching values in both tables :left_join LEFT OUTER JOIN returns all records from the left table , and the matched records from the right table :right_join RIGHT OUTER JOIN returns all records from the right table , and the matched records from the left table :full_join FULL OUTER JOIN returns all records when there is a match in either left or right table Return: - String","ref":"Statement.Sql.html#get_operator/1","title":"Statement.Sql.get_operator/1","type":"function"},{"doc":"Construct an INSERT statement Parameters: - table_id : String . Name of the table to insert the data into . - values : List of tuples . List of values to insert . Each tuple is { column_name , associated_value_to_store } . Return: - String","ref":"Statement.Sql.html#insert/2","title":"Statement.Sql.insert/2","type":"function"},{"doc":"Construct an SELECT statement Parameters: - table_id : String . Name of the table . - columns_to_return : List of atoms | :all . Defines the columns to return . If the ` all ` atom is defined , all the columns of the table will be returned ; otherwise , a list will be defined with those that interest - conditions . List of ( list of tuple ) . If the value is a empty list , it will be assumed that the existence of the WHERE component is not desired . Otherwise , each tuple has the format { a , b , c } or { a , b , c , d } where - a : Atom . Column name . - b : t ( ) . Value to compare . - c : Atom . Operation to use . Expect :eq , :eq_nil , :neq , :neq_nil , :gt , :gte , :lt , :lte , :in , :like . You can query get_operator / 1 . - d : Atom . Function to use . Each list of this parameter , its elements are concatenated by the first value defined in ` operators ` and the lists are related to each other by the second value defined in ` operators ` . - operators : List of size at most 2 . List of connectors . if it has cardinality - 0 =&gt; length ( conditions ) = 0 - 1 =&gt; length ( conditions ) = 1 - 2 =&gt; length ( conditions ) &gt; 1 Return: - String","ref":"Statement.Sql.html#select/4","title":"Statement.Sql.select/4","type":"function"},{"doc":"Construct an UPDATE statement Parameters: - table_id : String . Name of the table . - changes : List of tuple of size 2 [ { atom , t ( ) } , ... ] . Change list . Each tuple { A , B } indicates - A field to modify - B value to modify in field a - conditions . List of ( list of tuple ) . If the value is a empty list , it will be assumed that the existence of the WHERE component is not desired . Otherwise , each tuple has the format { a , b , c } or { a , b , c , d } where - a : Atom . Column name . - b : t ( ) . Value to compare . - c : Atom . Operation to use . Expect :eq , :eq_nil , :neq , :neq_nil , :gt , :gte , :lt , :lte , :in , :like . You can query get_operator / 1 . - d : Atom . Function to use . Each list of this parameter , its elements are concatenated by the first value defined in ` operators ` and the lists are related to each other by the second value defined in ` operators ` . - operators : List of size at most 2 . List of connectors . if it has cardinality - 0 =&gt; length ( conditions ) = 0 - 1 =&gt; length ( conditions ) = 1 - 2 =&gt; length ( conditions ) &gt; 1 Return: - String","ref":"Statement.Sql.html#update/4","title":"Statement.Sql.update/4","type":"function"},{"doc":"Definition of the attributes belonging to each table and link with the payload. The payload is assumed to be in map format. Fields: - id : Atom . Name of the attribute in the database . - id_payload : String . Name of the associated attribute , defined in the payload . - type : Atom . Value type of attribute in the database . - keys_to_search : List of String . Keys to search in each level of the map . - default_value : Default value .","ref":"Struct.InfoAttr.html","title":"Struct.InfoAttr","type":"module"},{"doc":"Useful functions","ref":"Stuff.html","title":"Stuff","type":"module"},{"doc":"Converts a time in seconds to the understandable format hh:mm:ss ###Parameter: - time : Integer . Time in second . Return: - String","ref":"Stuff.html#convert_seconds_to_humans/1","title":"Stuff.convert_seconds_to_humans/1","type":"function"},{"doc":"Takes the first elements of the list Parameters: - list : List . List . - n : Integer . Number of elements to be taken consecutively , starting with the first . Return: - { A , B } ( A + B = list ) where A List the first ` n ` elements of ` list ` B List of the remaining elements of ` list `","ref":"Stuff.html#get_firsts/2","title":"Stuff.get_firsts/2","type":"function"},{"doc":"Converts a number to a string, with the particularity that if the number is one digit, it adds the zero before it Parameter: - n : Integer . Number to convert . Return: - String .","ref":"Stuff.html#integer_to_string_with_2_digits/1","title":"Stuff.integer_to_string_with_2_digits/1","type":"function"},{"doc":"Subtract between lists. It generalizes, and uses, the one implemented by Kernel.--/2. The difference is for when a term to &quot;subtract&quot; is a map; in this case its values are obtained and it is transformed into lists of tuples, applying the subtraction to them. Parameters: - l1 : List of tuples of size 2 . List of items . - l2 : List of tuples of size 2 . List of elements used to compare in ` l1 ` . Those tuples that are the same are removed from ` l1 ` . Return: - List of tuples of size 2","ref":"Stuff.html#list_subtraction/2","title":"Stuff.list_subtraction/2","type":"function"},{"doc":"Generates a random string with the symbols '0123456789abcdefghijklmnopqrstuvwxyz' Parameter: - len : Integer . Chain length . Return: - String .","ref":"Stuff.html#random_string_generate/1","title":"Stuff.random_string_generate/1","type":"function"},{"doc":"Module oriented to the specification of each business with its schedules","ref":"Time.PWorkingTimeForBusiness.html","title":"Time.PWorkingTimeForBusiness","type":"protocol"},{"doc":"Check if the defined date is a working day Parameters: - date : Timex.DateTime . Date . - business : Atom . Business . Return: - Boolean .","ref":"Time.PWorkingTimeForBusiness.html#is_working_day?/2","title":"Time.PWorkingTimeForBusiness.is_working_day?/2","type":"function"},{"doc":"Returns the working hours of a day, given the business Parameters: - date : Timex.DateTime . Date . - business : Atom . Business . Return: - { start_time , end_time } , where each element is { hour , minute , second }","ref":"Time.PWorkingTimeForBusiness.html#working_hours/2","title":"Time.PWorkingTimeForBusiness.working_hours/2","type":"function"},{"doc":"","ref":"Time.PWorkingTimeForBusiness.html#t:t/0","title":"Time.PWorkingTimeForBusiness.t/0","type":"type"},{"doc":"It expands functionalities that Timex library does not present","ref":"Time.Timem.html","title":"Time.Timem","type":"module"},{"doc":"Given a date range, construct consecutive non-overlapping intervals Parameters: - start_date : Timex.DateTime . Interval start date . - end_date : Timex.DateTime . End date of the interval . - step : Integer . Number of days covered by a subinterval . Returns: - { :error , Atom ( reason ) } | { :ok , [ { Timex.DateTime , Timex.DateTime } , ... ] }","ref":"Time.Timem.html#by_intervals/3","title":"Time.Timem.by_intervals/3","type":"function"},{"doc":"Returns the current time in YYYY-MM-DDformat Return: - String","ref":"Time.Timem.html#get_date_with_string_format/0","title":"Time.Timem.get_date_with_string_format/0","type":"function"},{"doc":"Returns the current date in HH:MM:SS format Return: - String","ref":"Time.Timem.html#get_time_with_string_format/0","title":"Time.Timem.get_time_with_string_format/0","type":"function"},{"doc":"Determine given the month and day, if it is a holiday Parameter: - date : Timex.DateTime . Return: - boolean . True if day is a holiday , false otherwise .","ref":"Time.Timem.html#is_holiday?/1","title":"Time.Timem.is_holiday?/1","type":"function"},{"doc":"Search the time defined in the configuration, for sending notifications Parameter: - info . Map . Information about the time . It is expected to have the format ` ` ` %{ day : value_0 , hours : value_1 , minute : value_2 , second : value_3 , } ` ` ` If no time measurement is found or they are invalid , it will be taken as 0 . Return: - Integer . Time in milliseconds . The smallest possible return value is 1000 ( 1 second ) .","ref":"Time.Timem.html#notification_frequency/1","title":"Time.Timem.notification_frequency/1","type":"function"},{"doc":"Module oriented to the calculation of working time, according to the business","ref":"Time.WorkingTime.html","title":"Time.WorkingTime","type":"module"},{"doc":"Calculates the working time elapsed between two dates. Depending on the business, hours vary. To add a new business and its particular hours, you must: 1 . Define a module with the name of the business . 2 . Implement the Time.PWorkingTimeForBusiness protocol , to define particular hours . Use the following template : ` ` ` define Time.PWorkingTimeForBusiness , for : Atom do def function_name ( date , &lt; business_name &gt; ) do ... end ... end ` ` ` Parameter: - start_date : Timex.DateTime or String . Start date . - end_date : Timex.DateTime or String . End date . - business : Atom . Business . - change_timezone : Boolean . Indicate if you have to change the dates to the time use defined in the configuration . Return: - { :ok , integer } | { :error , string }","ref":"Time.WorkingTime.html#elapsed_time/4","title":"Time.WorkingTime.elapsed_time/4","type":"function"},{"doc":"Protocol oriented to the definition of the function to convert from one data type to another","ref":"Type.PConvertTo.html","title":"Type.PConvertTo","type":"protocol"},{"doc":"Converts a value to the equivalent of the defined type Parameters: - x :t ( ) . Value . - type : Atom . Data type to convert . Return: - type ( )","ref":"Type.PConvertTo.html#convert_to/2","title":"Type.PConvertTo.convert_to/2","type":"function"},{"doc":"","ref":"Type.PConvertTo.html#t:t/0","title":"Type.PConvertTo.t/0","type":"type"},{"doc":"Protocol for the work of documentaries in NodeService","ref":"Type.PDocumentaryTypeOf.html","title":"Type.PDocumentaryTypeOf","type":"protocol"},{"doc":"Returns the type of documentary, given the business Parameter: - business : String . Business . Return: - String","ref":"Type.PDocumentaryTypeOf.html#documentary_type_of/1","title":"Type.PDocumentaryTypeOf.documentary_type_of/1","type":"function"},{"doc":"","ref":"Type.PDocumentaryTypeOf.html#t:t/0","title":"Type.PDocumentaryTypeOf.t/0","type":"type"},{"doc":"Protocol oriented to determine the data type of an object","ref":"Type.PTypeOf.html","title":"Type.PTypeOf","type":"protocol"},{"doc":"Determine the type of data Parameter: - data . t ( ) : Data . Return: - Atom . Examples: iex&gt; Type . type_of ( 1 ) :integer iex&gt; Type . type_of ( %{ hello : &quot;world&quot; } ) :map iex&gt; tmp = &quot;string&quot; iex&gt; Type . type_of ( tmp ) :binary","ref":"Type.PTypeOf.html#type_of/1","title":"Type.PTypeOf.type_of/1","type":"function"},{"doc":"","ref":"Type.PTypeOf.html#t:t/0","title":"Type.PTypeOf.t/0","type":"type"},{"doc":"Module for working with data types","ref":"Type.Type.html","title":"Type.Type","type":"module"},{"doc":"Converts a data to its equivalent of a defined type Parameters: - x . Data to convert . - to : Data type that ` x ` will be converted to . Return: - value | nil | Exception Examples: iex&gt; Type . convert ( 2 , :float ) 2.0 iex&gt; Type . convert ( &quot;2&quot; , :integer ) 2 iex&gt; Type . convert ( &quot;14&quot; , :integer ) 14 Type . convert ( &quot;chain&quot; , :map ) iex&gt; Type . convert ( &quot;chain&quot; , :string ) &quot;chain&quot; iex&gt; Type . convert ( &quot;chain&quot; , :map ) ( throw ) &quot;NotImplementedError =&gt; from `binary` to `map`&quot; iex&gt; Type . convert ( 1668036600542 , :string_datetime ) &quot;2022-11-09T23:30:00.542Z&quot; Special considerations: - Elixir built - in data types to work with : binary , nil , integer , float , atom , list , map , boolean . - Elixir &#39; s non - built - in data types to work with : DateTime - Elixir non - existent data types , but need to create its name : - string : Binary equivalent . - string_datetime : Equivalent to converting from an integer to a binary , in DateTime format .","ref":"Type.Type.html#convert/2","title":"Type.Type.convert/2","type":"function"},{"doc":"Converts the data into a format understandable by BigQuery Parameter: - x : t ( ) . Value . Return: - String","ref":"Type.Type.html#convert_for_bigquery/1","title":"Type.Type.convert_for_bigquery/1","type":"function"}]